Bug 1478379 - We do not check the base unit when creating the unit label
Summary: We do not check the base unit when creating the unit label
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.2
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container:c&u
Depends On: 1456246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 13:16 UTC by Satoe Imaishi
Modified: 2017-10-24 00:16 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1456246
Environment:
Last Closed: 2017-10-24 00:16:35 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 13:18:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/820ad5ee40faf5c68281fe6d73aee11a5a312797

commit 820ad5ee40faf5c68281fe6d73aee11a5a312797
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Jun 6 14:32:26 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 09:17:32 2017 -0400

    Merge pull request #1447 from yaacov/units-ad-hoc
    
    Check for base unit when adjusting unit label
    (cherry picked from commit e2865c1e1f7b770bb49195392c74aa411b498cd3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478379

 .../live_metrics/ad_hoc_metrics_controller.js      |  1 +
 .../live_metrics/util/metrics-utils-factory.js     | 53 ++++++++++++++++------
 .../container_live_dashboard_controller_spec.js    | 18 ++++++++
 3 files changed, 59 insertions(+), 13 deletions(-)

Comment 3 Yaacov Zamir 2017-08-21 10:38:10 UTC
backported to fine
https://github.com/ManageIQ/manageiq-ui-classic/pull/1447

Comment 4 Einat Pacifici 2017-09-05 11:25:34 UTC
As per fix, in Comment 3, the units are rounded off and displayed correctly.

Comment 6 errata-xmlrpc 2017-10-24 00:16:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.